Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Class BeanNotOfRequiredTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.factory.BeanNotOfRequiredTypeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BeanIsNotAFactoryException

    public class BeanNotOfRequiredTypeException

extends BeansException

Thrown when a bean doesn't match the expected type.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`BeanNotOfRequiredTypeException(java.lang.String beanName, java.lang.Class requiredType, java.lang.Class actualType)` Create a new BeanNotOfRequiredTypeException.

Method Summary
`java.lang.Class` | `getActualType()` Return the actual type of the instance found.
`java.lang.String` | `getBeanName()` Return the name of the instance that was of the wrong type.
`java.lang.Class` | `getRequiredType()` Return the expected type for the bean.

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanNotOfRequiredTypeException

    public BeanNotOfRequiredTypeException(java.lang.String beanName,
                                          java.lang.Class requiredType,
                                          java.lang.Class actualType)

  Create a new BeanNotOfRequiredTypeException.

  Parameters:
    `beanName` - the name of the bean requested
    `requiredType` - the required type
    `actualType` - the actual type returned, which did not match the expected type

Method Detail

### getBeanName

    public java.lang.String getBeanName()

  Return the name of the instance that was of the wrong type.

### getRequiredType

    public java.lang.Class getRequiredType()

  Return the expected type for the bean.

### getActualType

    public java.lang.Class getActualType()

  Return the actual type of the instance found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD